package xyz.zhouxy.plusone.oss;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ConfigurationProperties("fastdfs")
public class FastDFSProperties {
    private Integer connectTimeoutInSeconds;
    private Integer networkTimeoutInSeconds;
    private String charset;
    private Boolean httpAntiStealToken;
    private String httpSecretKey;
    private Integer httpTrackerHttpPort;
    private List<String> trackerServers;

    private ConnectionPool connectionPool;

    @Getter
    @Setter
    public static class ConnectionPool {
        private Boolean enabled;
        private Integer maxCountPerEntry;
        private Integer maxIdleTime;
        private Integer maxWaitTimeInMs;
    }
}
